[neon/neon/settings/Neon/release] /: merge Neon/stable into Neon/release
Carlos De Maine
null at kde.org
Tue Jun 16 12:57:18 BST 2026
Git commit 7f60bbf704ec085be8ee7f504ce1f37ecb029065 by Carlos De Maine.
Committed on 16/06/2026 at 11:57.
Pushed by carlosdem into branch 'Neon/release'.
merge Neon/stable into Neon/release
M +23 -1 debian/neon-settings-2.postinst
M +1 -1 usr/share/metainfo/org.kde.neon.neon.metainfo.xml
https://invent.kde.org/neon/neon/settings/-/commit/7f60bbf704ec085be8ee7f504ce1f37ecb029065
diff --cc debian/neon-settings-2.postinst
index ef47872,cf15d90..a80e99d
--- a/debian/neon-settings-2.postinst
+++ b/debian/neon-settings-2.postinst
@@@ -82,4 -82,26 +82,26 @@@ f
# returns the correct string to identify neon. set here to make sure it's correct.
ln -sf /etc/dpkg/origins/neon /etc/dpkg/origins/default
- exit 0
+ # check/add config for samba usershare support
+ grep -qxF "include = /etc/samba/neon-usershares-smb.conf" /etc/samba/smb.conf || echo "include = /etc/samba/neon-usershares-smb.conf" >> /etc/samba/smb.conf
+
+ # check/add directory and permissions required for samba usershare support
+ DIR="/var/lib/samba/usershares"
+ REQUIRED_PERM="1755"
+ REQUIRED_OWNERS="root:sambashare"
+
+ if [ ! -d "$DIR" ]; then
+ mkdir -p "$DIR"
+ fi
+
+ CURRENT_PERM=$(stat -c "%a" "$DIR")
+ if [ ! "$CURRENT_PERM" = "$REQUIRED_PERM" ]; then
+ chmod "$REQUIRED_PERM" "$DIR"
+ fi
+
+ CURRENT_OWNERS=$(stat -c '%U:%G' "$DIR")
+ if [ ! "$CURRENT_OWNERS" = "$REQUIRED_OWNERS" ]; then
+ chown "$REQUIRED_OWNERS" "$DIR"
+ fi
+
-exit 0
++exit 0
diff --cc usr/share/metainfo/org.kde.neon.neon.metainfo.xml
index ec7a88b,afb472c..5ff6b0c
--- a/usr/share/metainfo/org.kde.neon.neon.metainfo.xml
+++ b/usr/share/metainfo/org.kde.neon.neon.metainfo.xml
@@@ -21,9 -21,9 +21,9 @@@
...
<releases>
- <release version="24.04" type="development">
+ <release version="24.04" type="stable">
<description>
- <p>KDE neon 24.04 Noble user edition</p>
+ <p>KDE neon 24.04 Noble unstable edition</p>
</description>
</release>
...
More information about the Neon-commits
mailing list